<?php

require_once "../app/model/db.class.php";

    $periodo=$_REQUEST['periodo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {

         $obj->consulta("delete from alum_pendientes_val");
         
         while($reg_ren = $obj->fetch_assoc($result5)){

              
              $matri=$obj->consulta("select * from matriculas where grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."' and estado='A'");

              /*--- Insertar labor academico de un curso ----*/

              $obj->consulta("delete from temporal_labor_curso");
              $obj->consulta("insert into temporal_labor_curso select curso_asignatura_profesor.grado, curso_asignatura_profesor.curso,
                              curso_asignatura_profesor.asignatura from curso_asignatura_profesor
                              where curso_asignatura_profesor.grado='".$reg_ren['grado']."' and curso_asignatura_profesor.curso='".$reg_ren['codigo']."'");

               while($row = $obj->fetch_assoc($matri)){

                       $obj->consulta("delete from temporal_valoraciones");
                       $obj->consulta("insert into temporal_valoraciones select boletin.grado, boletin.curso, boletin.asignatura
                                       from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                       where detalleboletin.alumno='".$row['codigo']."' and boletin.periodo='".$periodo."'");

                      /*---- Insertamos solamente la asignatura ----*/
                      $obj->consulta("INSERT INTO alum_pendientes_val (asignatura) SELECT asignatura FROM temporal_labor_curso WHERE (asignatura) not in (select asignatura from temporal_valoraciones)");

                      /*---- Insertamos codigo del alumno y periodo ----*/
                      $obj->consulta("UPDATE alum_pendientes_val SET codigo='".$row['codigo']."',periodo='".$periodo."' WHERE codigo=''");

               }

       }
   }

    $obj->disconnect();

   echo "PROCESO FINALIZADO";

?>
